SPIP

[ar] [ast] [bg] [br] [ca] [co] [cpf] [cs] [da] [de] [en] [eo] [es] [eu] [fa] [fon] [fr] [gl] [id] [it] [ja] [lb] [nl] [oc] [pl] [pt] [ro] [ru] [sk] [sv] [tr] [uk] [vi] [zh] Espace de traduction

Télécharger

Changements entre 3.0.9 et 3.0.10

Mai 2013 — mis à jour le : 27 février

Fichiers du core

7 fichiers impactés :
-  ecrire/inc_version.php
-  ecrire/paquet.xml
-  ecrire/action/logout.php
-  ecrire/balise/formulaire_inscription.php
-  ecrire/inc/filtres.php
-  ecrire/inc/flock.php
-  squelettes-dist/identifiants.html

révisions 20595, 20596, 20597
ecrire/paquet.xml
ecrire/inc_version.php

mise à jour de version.

révision 72994
squelettes-dist/identifiants.html

l’argument focus a été supprimé.

révision 20593
ecrire/action/logout.php

Logout en 2 étapes pour eviter les CSRF.

révision 20577
ecrire/inc/flock.php
ecrire/inc/filtres.php

clearstatcache() n’accepte des arguments qu’a partir de PHP 5.3.0. Comme on l’utilise a quelques endroits, on prévoit un wrapper spip_clearstatcache() qui appelle l’une ou l’autre syntaxe selon la version de PHP.

révision 20576
ecrire/balise/formulaire_inscription.php

si le mode n’est pas fourni, on teste 1comite puis 6forum et on renvoit celui qui est autorise. Évite la duplication de code.

Fichiers de plugins-dist

COMPRESSEUR
révision 72995]

utiliser spip_clearstatcache() qui tient compte de la version de PHP.


Voir le squelette de cette page Site réalisé avec SPIP | Espace de traduction | Espace privé